Debian Bug report logs - #591195
wordpress: does not build .swf files from source

version graph

Package: wordpress; Maintainer for wordpress is Craig Small <csmall@debian.org>; Source for wordpress is src:wordpress.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Sun, 1 Aug 2010 04:15:07 UTC

Severity: serious

Found in version wordpress/3.0-1

Fixed in version wordpress/3.0.1-2

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://core.trac.wordpress.org/ticket/14647

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#591195; Package wordpress. (Sun, 01 Aug 2010 04:15:10 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: wordpress: does not build .swf files from source
Date: Sat, 31 Jul 2010 23:58:03 -0400
Package: wordpress
Version: 3.0-1
Severity: serious

Hi,

wordpress ships multiple swf files which are not built from source.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#591195; Package wordpress. (Thu, 05 Aug 2010 10:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 05 Aug 2010 10:48:07 GMT) Full text and rfc822 format available.

Message #8 received at 591195@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 591197@bugs.debian.org, 591193@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: about not building swf files from source
Date: Thu, 5 Aug 2010 12:46:43 +0200
	Hi!

 The initial message about this issue was pretty terse and I hope to
offer additional information to you through this message.

 The issue your package is facing might be divided into two groups:
Packages that have the source to the .swf file available (like in .fla
or .as form from what I understood) and packages that don't.

 For those with the source included the package is facing to be
potential moved from main to contrib. This is because packages in main
are required to only need tools that are available in main to produce
their binaries from their sources, and there unfortunately aren't such
tools in main (yet, TTBOMK). So moving them to contrib is an option to
them for keeping them as they are.

 For those without source included they have to go either to non-free
(if their license allows binary distribution without source) or they
have to get removed from the pool in case they are licensed under
something like GPL or similar which requires the source to be available,
too.

 One option available to both groups of packages is of course to remove
the flash files all together, if that's an option for your package.

 Hope this helps you for your decision on how to move on. Thanks for
your support and effort for Debian in any case!

 Enjoy!
Rhonda
-- 
"Lediglich 11 Prozent der Arbeitgeber sind der Meinung, dass jeder
Mensch auch ein Privatleben haben sollte."
        -- http://www.karriere.at/artikel/884/




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#591195; Package wordpress. (Thu, 05 Aug 2010 12:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 05 Aug 2010 12:18:07 GMT) Full text and rfc822 format available.

Message #13 received at 591195@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gerfried Fuchs <rhonda@debian.at>, 591193@bugs.debian.org
Cc: 591197@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: Re: Bug#591193: about not building swf files from source
Date: Thu, 5 Aug 2010 14:16:01 +0200
Hi!

* Gerfried Fuchs <rhonda@debian.at> [100805 12:46]:

> This is because packages in main are required to only need tools that
> are available in main to produce their binaries from their sources,
> and there unfortunately aren't such tools in main (yet, TTBOMK).

Citing from then #debian-ftp channel:

04:17:49 < raphael> dear ftp-masters, could you please make sure that NEW
      packages do _build_ the .swf files during the build process if they
      ship any? TIA
04:21:14 < Ganneff> would there be an easy way to check it?
04:24:59 < raphael> if they b-depend on haxe, mtasc, or swftools (if it
      gets uploaded again) they probably do
04:25:43 < dondelelcaro> probably can be a lintian check

So there seems to be three tools available.


Best Regards,
  Alexander




Set Bug forwarded-to-address to 'http://core.trac.wordpress.org/ticket/14647'. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Thu, 19 Aug 2010 17:42:06 GMT) Full text and rfc822 format available.

Message #16 received at 591195-forwarded@bugs.debian.org (full text, mbox):

From: "WordPress Trac" <wp-trac@lists.automattic.com>
Cc: wp-trac@lists.automattic.com
Subject: [WordPress Trac] #14647: Missing .swf source files
Date: Thu, 19 Aug 2010 17:39:07 -0000
#14647: Missing .swf source files
--------------------------+-------------------------------------------------
 Reporter:  Derevko       |       Owner:                 
     Type:  defect (bug)  |      Status:  new            
 Priority:  normal        |   Milestone:  Awaiting Review
Component:  General       |     Version:                 
 Severity:  major         |    Keywords:                 
--------------------------+-------------------------------------------------
 Hi,

 sources for the following files are missing:


 wp-includes/js/tinymce/plugins/media/img/flv_player.swf
 wp-includes/js/swfupload/swfupload.swf


 Cheers,
 Giuseppe

-- 
Ticket URL: <http://core.trac.wordpress.org/ticket/14647>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software




Message #17 received at 591195-forwarded@bugs.debian.org (full text, mbox):

From: "WordPress Trac" <wp-trac@lists.automattic.com>
Cc: wp-trac@lists.automattic.com
Subject: Re: [WordPress Trac] #14647: Missing .swf source files
Date: Thu, 19 Aug 2010 19:31:38 -0000
#14647: Missing .swf source files
--------------------------+-------------------------------------------------
 Reporter:  Derevko       |       Owner:                 
     Type:  defect (bug)  |      Status:  new            
 Priority:  normal        |   Milestone:  Awaiting Review
Component:  General       |     Version:                 
 Severity:  major         |    Keywords:                 
--------------------------+-------------------------------------------------
Changes (by Derevko):

 * cc: giuseppe@… (added)


-- 
Ticket URL: <http://core.trac.wordpress.org/ticket/14647#comment:1>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software




Message #18 received at 591195-forwarded@bugs.debian.org (full text, mbox):

From: "WordPress Trac" <wp-trac@lists.automattic.com>
Cc: wp-trac@lists.automattic.com
Subject: Re: [WordPress Trac] #14647: Missing .swf source files
Date: Fri, 20 Aug 2010 17:50:29 -0000
#14647: Missing .swf source files
--------------------------+-------------------------------------------------
 Reporter:  Derevko       |       Owner:       
     Type:  defect (bug)  |      Status:  new  
 Priority:  normal        |   Milestone:  3.0.2
Component:  General       |     Version:  3.0.1
 Severity:  blocker       |    Keywords:       
--------------------------+-------------------------------------------------
Changes (by Denis-de-Bernardy):

  * version:  => 3.0.1
  * severity:  major => blocker
  * milestone:  Awaiting Review => 3.0.2


Comment:

 There also is the Easter bunny ticket that requests the source for the
 obfuscated code.

-- 
Ticket URL: <http://core.trac.wordpress.org/ticket/14647#comment:2>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591195; Package wordpress. (Wed, 01 Sep 2010 21:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. (Wed, 01 Sep 2010 21:48:06 GMT) Full text and rfc822 format available.

Message #23 received at 591195@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 591195@bugs.debian.org,control@bugs.debian.org,591195-submitter@bugs.debian.org
Subject: [e8a913f] Fix for Bug#591195 committed to git
Date: Wed, 01 Sep 2010 21:45:21 +0000
tags 591195 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Wed, 1 Sep 2010 23:43:44 +0200.
 The fix will be in the next upload. 
=========================================================================
Remove swfupload.swf from the binary package, as it cannot be built from source, violating the Policy.

Closes: #591195
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=users/derevko-guest/wordpress.git;a=commitdiff;h=e8a913f






Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Wed, 01 Sep 2010 21:48:08 GMT) Full text and rfc822 format available.

Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591195. (Wed, 01 Sep 2010 21:48:10 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 09:36:17 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 09:36:17 GMT) Full text and rfc822 format available.

Message #33 received at 591195-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 591195-close@bugs.debian.org
Subject: Bug#591195: fixed in wordpress 3.0.1-2
Date: Thu, 02 Sep 2010 09:32:31 +0000
Source: wordpress
Source-Version: 3.0.1-2

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive:

wordpress-l10n_3.0.1-2_all.deb
  to main/w/wordpress/wordpress-l10n_3.0.1-2_all.deb
wordpress_3.0.1-2.debian.tar.gz
  to main/w/wordpress/wordpress_3.0.1-2.debian.tar.gz
wordpress_3.0.1-2.dsc
  to main/w/wordpress/wordpress_3.0.1-2.dsc
wordpress_3.0.1-2_all.deb
  to main/w/wordpress/wordpress_3.0.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 10:33:50 +0200
Source: wordpress
Binary: wordpress wordpress-l10n
Architecture: source all
Version: 3.0.1-2
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 wordpress  - weblog manager
 wordpress-l10n - weblog manager - language files
Closes: 585784 590859 591195
Changes: 
 wordpress (3.0.1-2) unstable; urgency=low
 .
   * [e8a913f] Remove swfupload.swf from the binary package, as it cannot
     be built from source, violating the Policy. (Closes: #591195)
   * [92493d0] Document in Readme.Debian how to get swfupload.swf
   * [3663a53] debian/get-upstream-i18n: download also configuration
     files for RTL-languages (Closes: #585784)
   * [8bbdc8b] Added a missing define in debian/wp-config.php (Closes: #590859)
   * [34dd063] Updated language files
   * [adf55b3] Install *.php configuration files for RTL-languages
Checksums-Sha1: 
 0f958d8e338d2156a80cc92904faeb7c6454685c 1259 wordpress_3.0.1-2.dsc
 32bce33b01cf895fc9e1f817fc2a117d16700cb3 7030878 wordpress_3.0.1-2.debian.tar.gz
 b3ae98342551970d9a1eaea80255a6afd49f1bee 2508654 wordpress_3.0.1-2_all.deb
 d01021bd9d98352a367709e2f962121bab4bcf4d 5987630 wordpress-l10n_3.0.1-2_all.deb
Checksums-Sha256: 
 fa6fd62a5c4ba4277e7dbd0ce0807070543c1bda3661d8e1f30fd50f4b05d271 1259 wordpress_3.0.1-2.dsc
 2d7f38bccbcef911c710b27bbac602febef3b22d70c3bb96f5c250c5679f529e 7030878 wordpress_3.0.1-2.debian.tar.gz
 74fe06f447d9741575026a70f45f9dc8bcae43652123e714d58b1b7bf92784ba 2508654 wordpress_3.0.1-2_all.deb
 20d01c81bf1a1a219b4e350df95c23e303729076bfa32f6f8d494a940eb7475e 5987630 wordpress-l10n_3.0.1-2_all.deb
Files: 
 f6aae643bff627534a1345e22cb13764 1259 web optional wordpress_3.0.1-2.dsc
 f38ed71a37055fb37f0594dc193893fc 7030878 web optional wordpress_3.0.1-2.debian.tar.gz
 a0ede82ab25494004786e6e5dba9e821 2508654 web optional wordpress_3.0.1-2_all.deb
 716451ac5a1ebd739d5f4ab4544c16b9 5987630 localization optional wordpress-l10n_3.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx/ab0ACgkQNxpp46476arFqACeK8j2lvnZc+Z0xpSsloH8ajt5
trUAoIE3DBiWCPMDCdRvdW+gANVCBlLj
=c6PF
-----END PGP SIGNATURE-----





Message #34 received at 591195-forwarded@bugs.debian.org (full text, mbox):

From: "WordPress Trac" <wp-trac@lists.automattic.com>
Cc: wp-trac@lists.automattic.com
Subject: Re: [WordPress Trac] #14647: Missing .swf source files
Date: Fri, 03 Sep 2010 15:17:51 -0000
#14647: Missing .swf source files
--------------------------+-------------------------------------------------
 Reporter:  Derevko       |       Owner:       
     Type:  defect (bug)  |      Status:  new  
 Priority:  normal        |   Milestone:  3.0.2
Component:  General       |     Version:  3.0.1
 Severity:  blocker       |    Keywords:       
--------------------------+-------------------------------------------------
Changes (by ramiy):

 * cc: ramiy (added)


-- 
Ticket URL: <http://core.trac.wordpress.org/ticket/14647#comment:3>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software




Message #35 received at 591195-forwarded@bugs.debian.org (full text, mbox):

From: "WordPress Trac" <wp-trac@lists.automattic.com>
Cc: wp-trac@lists.automattic.com
Subject: Re: [WordPress Trac] #14647: Missing .swf source files
Date: Sun, 05 Sep 2010 07:28:02 -0000
#14647: Missing .swf source files
--------------------------+-------------------------------------------------
 Reporter:  Derevko       |       Owner:       
     Type:  defect (bug)  |      Status:  new  
 Priority:  normal        |   Milestone:  3.0.2
Component:  General       |     Version:  3.0.1
 Severity:  blocker       |    Keywords:       
--------------------------+-------------------------------------------------

Comment(by dd32):

 As this is an external library, Is it really needed to include the extra
 files in the WordPress svn? (In the context of the WordPress package,
 Ignoring Debian packaging rules)

 The Source of the SwfUpload library is available in their code repository
 for example: http://swfupload.googlecode.com/svn/swfupload/trunk/core/
 However I cannot find the source for the TinyMCE plugin.

 Cross referencing the Debian bug report which has sparked this ticket:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591195

-- 
Ticket URL: <http://core.trac.wordpress.org/ticket/14647#comment:4>
WordPress Trac <http://core.trac.wordpress.org/>
WordPress blogging software




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Oct 2010 07:34:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:23:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.